%{!?__pear:       %define __pear       %{_bindir}/pear}
%{!?pear_phpdir:  %define pear_phpdir  %(%{__pear} config-get php_dir  2>/dev/null || echo 'None')}
%{!?pear_docdir:  %define pear_docdir  %(%{__pear} config-get doc_dir  2>/dev/null || echo 'None')}
%{!?pear_testdir: %define pear_testdir %(%{__pear} config-get test_dir 2>/dev/null || echo 'None')}
%{!?pear_datadir: %define pear_datadir %(%{__pear} config-get data_dir 2>/dev/null || echo 'None')}
%{!?pear_xmldir:  %define pear_xmldir  %{pear_phpdir}/.pkgxml}

%define modn      Net_Socket
%define modv      1.0.10
%define modp      %(echo %{modn} | cut -d'_' -f1)


Summary:          A Network Socket Interface for PHP
Name:             php-pear-%{modn}
Version:          %{modv}
Release:          1%{?dist}%{?pext}
License:          PHP
Group:            Development/Libraries
Source0:          http://download.pear.php.net/package/%{modn}-%{modv}.tgz
URL:              http://pear.php.net/package/%{modn}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Chuck Hagenbuch <chuck@horde.org>
Provides:         php-pear(%{modn}) = %{modv}
Requires:         php >= 4.0.0
Requires:         php-pear
Requires(post):   %{__pear}
Requires(postun): %{__pear}
BuildRequires:    php-pear
BuildArch:        noarch


%description
PEAR::Net_Socket is a class interface to TCP sockets. It provides blocking
and non-blocking operation with different reading and writing modes (byte-
wise, block-wise, line-wise and special formats like network byte-order IP
addresses).


%prep
%setup -q -c

[ -f package2.xml ] || %{__mv} package.xml package2.xml
%{__mv} package2.xml %{modn}-%{modv}/%{modn}.xml


%build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

pushd %{modn}-%{modv}
%{__pear} install --nodeps                \
	--packagingroot ${RPM_BUILD_ROOT} \
	%{modn}.xml

# Cleanup
%{__rm} -rf ${RPM_BUILD_ROOT}%{pear_phpdir}/.??*

# Install package spec
%{__mkdir_p} ${RPM_BUILD_ROOT}%{pear_xmldir}
%{__install} -m 0644 -p %{modn}.xml ${RPM_BUILD_ROOT}%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only   \
	%{pear_xmldir}/%{modn}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ]; then	# Remove
  %{__pear} uninstall --nodeps --ignore-errors --register-only \
	%{modn} >/dev/null || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{pear_xmldir}/%{modn}.xml
%{pear_phpdir}/%{modp}


%changelog
* Wed Oct 20 2010 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.10-1
- New version (1.0.10)

* Mon Aug 31 2009 Peter Pramberger <peterpramb@member.fsf.org> - 1.0.9-1
- Initial build
